This article describes the pre-requisites for building applications based on the Vidispine Development Kit, for both Linux and MacOS. It does not cover the actual application building, which is covered elsewhere. The same instructions can also be found in the VDT github repo https://github.com/vidispine/vdt-vue-django-template, which you also need access to when building VDT applications. Read here on how to get access to Vidispine Development Kit

 

Linux specific

Start by making sure the following packages are installed on your system: 

$ sudo apt-get install curl
$ sudo apt-get install git
$ sudo apt-get install python3-venv


Then make sure that you are running at least version 3.5 of Python, and then install/upgrade pip3, setup tools and wheel:

$ sudo apt-get install python3-pip
$ sudo pip3 install wheel setuptools

or upgrade 

$ sudo pip3 install --upgrade pip setuptools wheel


To install Node and Yarn follow the links for Yarn (https://yarnpkg.com/lang/en/docs/install/), and Node (https://nodejs.org/en/download/package-manager/). When installing Node make sure that the version is higher than 9. When installing Yarn make sure that the version is higher than 1.3.


MacOS specific

Install Homebrew and then install yarn using:

brew install yarn